Subject: [os2genau_digest] No. 1847
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 15 Aug 2009 00:00:35 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Friday 14 August 2009
 Number  1847
**************************************************

Subjects for today
 
1   Network printer : Peter L Allen" <allenpl at tastelfibre dot com dot au>
2  Re:  Network printer : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Network printer : Chuck McKinnis <mckinnis at sandia dot net>

**= Email   1 ==========================**

Date:  Fri, 14 Aug 2009 15:22:54 +1000 (EST)
From:  "Peter L Allen" <allenpl at tastelfibre dot com dot au>
Subject:   Network printer

Want to set up to print over LAN for OS2, Linux and doze boxes.

It's a HP Laserjet 5 - has NETJet card - fairly early one - firmware 3.08.
I presume I need to set the IP and other stuff to suitable values.
This is a pretty standard setup run off a router.

Printer needs to be set to????
For instance?
IP address 	192.168.1.40
Subnet 		255.255.255.0
and would Gateway be IP of the router?
	eg	192.168.1.1

This stuff makes my head hurt - plan to get it going on doze first - then the real stuff.

Please comment if I'm astray in my ideas,

					Regards,
							allenpl

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Fri, 14 Aug 2009 15:36:07 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Network printer

Peter L Allen wrote:
> Want to set up to print over LAN for OS2, Linux and doze boxes.
>
> It's a HP Laserjet 5 - has NETJet card - fairly early one - firmware 3.08.
> I presume I need to set the IP and other stuff to suitable values.
> This is a pretty standard setup run off a router.
>
> Printer needs to be set to????
> For instance?
> IP address 	192.168.1.40
> Subnet 		255.255.255.0
> and would Gateway be IP of the router?
> 	eg	192.168.1.1
>
> This stuff makes my head hurt - plan to get it going on doze first - then the real stuff.
>
> Please comment if I'm astray in my ideas,
>
> 					Regards,
> 							allenpl
>
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
>   
Yes, Yes and Yes (actually the router one is the most important one - 
not sure why but I have had several occasions where a colleague has 
missed this - "oh the printer's only for use within the LAN" - but the 
printer is simply not happy without a default router/gateway address).

You'll possibly find it can also be contacted via Netbeui from Windows 
and eCS (those early cards had IP, Netbeui and Netware capabilities) - 
but stick with IP as it's the normal standard now.

-- 
Cheers/2

Ed

Checkout my eComStation Australia Podcasts 

Search on eComStationAustralia in iTunes or set up Thunderbird to look at http://eComStationAustralia.podbean dot com/feed or simply go to the webpage http://eComstationAustralia.podbean dot com 

Don't miss the tenth Warpstock Europe at Stralsund, Germany 12-15 November 2009 check out - http://www.warpstock.eu for details.
(I will be presenting on Virtualisation and eCS at the conference).

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Fri, 14 Aug 2009 07:51:43 -0600
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Network printer

Peter L Allen wrote:
> Want to set up to print over LAN for OS2, Linux and doze boxes.
> 
> It's a HP Laserjet 5 - has NETJet card - fairly early one - firmware 3.08.
> I presume I need to set the IP and other stuff to suitable values.
> This is a pretty standard setup run off a router.
> 
> Printer needs to be set to????
> For instance?
> IP address 	192.168.1.40
> Subnet 		255.255.255.0
> and would Gateway be IP of the router?
> 	eg	192.168.1.1
> 
> This stuff makes my head hurt - plan to get it going on doze first - then the real stuff.
> 
> Please comment if I'm astray in my ideas,
> 
> 					Regards,
> 							allenpl

I have 2 network printers.  One is directly attached to my router and 
the other uses a little Netgear Ethernet to USB box.  Give the printer a 
fixed IP and make sure it is not in the DHCP address range of the 
router.  I happen to use 192.168.2.250 and 192.168.2.251.  The router 
has an IP of 192.168.2.1 and serves up DHCP addresses 192.168.2.101-150.

For eCS, I would install the following port driver.  The configurator is 
not fancy, but it works.

http://hobbes2.nmsu.edu/download/pub/os2/system/drivers/printer/ipspool104.zip

With this port driver, you can send everything to port 9100 at the 
printer IP address on all of your systems.  Windows calls this the "raw" 
mode.

-- 
Chuck McKinnis
1449 State Highway 14 N
Sandia Park, NM 87047
505-286-3191
http://www.7cities dot net/~mckinnis/
Pray without ceasing.         1 Thessalonians 5:17

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===